com.fasterxml.jackson.core.sym

## Class NameN

- java.lang.Object
- - com.fasterxml.jackson.core.sym.Name
  - - com.fasterxml.jackson.core.sym.NameN

    public final class NameN
    extends Name

Generic implementation of PName used for "long" names, where long means that its byte (UTF-8) representation is 13 bytes or more.

### Field Summary

### Fields inherited from class com.fasterxml.jackson.core.sym.Name

`_hashCode, _name`

### Method Summary

Methods
`boolean` `equals(int quad)`
`boolean` `equals(int[] quads, int qlen)`
`boolean` `equals(int quad1, int quad2)`

### Methods inherited from class com.fasterxml.jackson.core.sym.Name

`equals, getName, hashCode, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Method Detail

#### equals

    public boolean equals(int quad)

Specified by:
  `equals` in class `Name`

#### equals

    public boolean equals(int quad1,
                 int quad2)

Specified by:
  `equals` in class `Name`

#### equals

    public boolean equals(int[] quads,
                 int qlen)

Specified by:
  `equals` in class `Name`